[SM-Grimoire-Bugs] [Bug 15108] New: jed fails to compile

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Mon Mar 9 12:16:30 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15108

           Summary: jed fails to compile
           Product: Codex
           Version: test grimoire
          Platform: x86
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: editors
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: wich at stack.nl


jed fails to compile, the compile complains of slang.h being the wrong version
compared to the slang library installed. This message persists after
reinstalling slang.

if /usr/src/jed-0.99-18/src/objs/chkslang jed 10311 ;\
        then exit 0; else rm -f /usr/src/jed-0.99-18/src/objs/chkslang; exit 1;
fi


******
slang.h (version=20103) does not match the slang library version (20104)
Did you install slang as a shared library?  Did you run ldconfig?
Perhaps you need to set the RPATH variable in the Makefile.
You have an installation problem and you will need to check the SLANG
variables in the Makefile and properly set them.
Also try: make clean; make
******

bash-3.2# gaze version slang jed
Grimoire  Section  Spell  Grimoire Version  Installed Version
--------  -------  -----  ----------------  -----------------
master    devel    slang  2.1.4             2.1.4
master    editors  jed    0.99-18           0.99-18

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list